
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_PROXY_SERVER_XACTION_H
#define PG_PROXY_SERVER_XACTION_H

#include "SrvXact.h"
#include "Cache.h"

class PxySrvXact: public SrvXact, public CacheReader {
	public:
		PxySrvXact() { PxySrvXact::reset(); }
		virtual void reset();

		virtual void noteWriteReady(int fd);
		virtual void noteWriterLeft();
		virtual void noteCacheReady();

	protected:
		virtual void newState(State aState);

	protected:
		bool waitForCache;
};

#endif

